# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlEGL/EGLWindow.hpp File Reference

`#include <vlGraphics/OpenGLContext.hpp>`
`#include <vlEGL/link_config.hpp>`
`#include <EGL/egl.h>`
`#include <map>`

Go to the source code of this file.

## Classes

class | vlEGL::EGLWindow
| The EGLWindow class is a EGLContext that can be used as a top or child window. More...

## Namespaces

namespace | vlEGL

## Functions

VLEGL_EXPORT int | vlEGL::messageLoop ()
VLEGL_EXPORT void | vlEGL::peekMessage (MSG &msg)
VLEGL_EXPORT void | vlEGL::dispatchUpdate ()
VLEGL_EXPORT void | vlEGL::translateKeyEvent (WPARAM wParam, LPARAM lParam, unsigned short &unicode_out, vl::EKey &key_out)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.